localhost address

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Re: localhost address

Postby hughstl » 15. January 2019 13:22

Hi, thanks for answers, guys.

The 'muludb' files are all being auto-generated by the CRUD programme (AppGini) - there's a lot of files, I wouldn't know where to look, lol.

But the thing is, I can't even call the setup file...which is where, on the very first visit, you would enter your MySQL credentials to hook up with a database (which could still be empty and awaiting table creation and population by the setup routine). Calling localhost/muludb/setup.php just gets the same error.

So I made a little php test file with just...

Code: Select all
<?php
echo 'Hello World';
?>


and when called that just gets another error message: "Parse error: in C:\xampp\htdocs\test.php on line 3"

That has nothing to do with a database, so I'm wondering if there's a more fundamental problem with XAMPP..?
hughstl
 
Posts: 9
Joined: 07. January 2019 14:29
XAMPP version: 5.6.39
Operating System: Windows 10 Home

Re: localhost address

Postby Nobbie » 15. January 2019 16:18

hughstl wrote:That has nothing to do with a database, so I'm wondering if there's a more fundamental problem with XAMPP..?


No, its probably a problem with your editor or with your script. There is definately no problem with Xampp.
Nobbie
 
Posts: 10993
Joined: 09. March 2008 13:04

Re: localhost address

Postby Nobbie » 15. January 2019 16:34

I went to AppGini to find out, which release you are using. AppGini 5.12 is SUPEROLD and has been released in August 2013 - six years ago. I think you still need a much older PHP than 5.6 in order to work with such an old AppGini. Why dont you install a newer AppGini?

Otherwise proceed to SourceForge and look for a SUPEROLD Xampp from 2013, for example Xampp 1.8.1 https://sourceforge.net/projects/xampp/ ... ows/1.8.1/
Nobbie
 
Posts: 10993
Joined: 09. March 2008 13:04

Re: localhost address

Postby hughstl » 15. January 2019 17:18

Thanks Nobbie.

'Superold'...? Well, not in my book, lol! But then everyone has a different view of technology. Moving with the times is not always as easy as it appears. "Upgrade, upgrade!" they shout. But it's fraught with problems, particularly when you rely on beautiful legacy software which has been bought out by one of the software giants and discarded in favour of its own gross, behemoth app. I can't even upgrade MacOSX because that legacy software would no longer run.

"Why don't you install a newer AppGini?".... because the newer versions are all tied in to a Bootstrap output. It may provide a 'responsive' browser experience...but who said I needed a responsive browser experience! For my/our application, it will ALWAYS be accessed on a desktop/laptop, responsiveness is not needed. and the bootstrap design is terriby wasteful of screen space - the older html templates are much more compact and fit much more information on screen WITHOUT SCROLLING! :)

Running on MAMP on a Mac, AppGini 5.12 runs just fine on PHP 5.6
hughstl
 
Posts: 9
Joined: 07. January 2019 14:29
XAMPP version: 5.6.39
Operating System: Windows 10 Home

Previous

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 69 guests